Notify
Notify Event
Notify an event to all waiters listening for that event ID.
POST/v2/notify/{eventId}
cURL
curl --request POST \
--url https://qstash-{region}.upstash.io/v2/notify/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '<string>'201Response
[
{
"waiter": {
"url": "<string>",
"headers": "<string>",
"deadline": 123,
"timeoutBody": "<string>",
"timeoutUrl": "<string>",
"timeoutHeaders": "<string>"
},
"messageId": "<string>",
"deduplicated": true,
"error": "<string>",
"workflowRunId": "<string>",
"workflowCreatedAt": 123
}
]Authorization
Authorizationheaderstringrequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdpathstringrequired
The event ID that waiters are listening for.
Body
bodyobjectrequired
The event data to send to all waiters. This will be the request payload for waiting workflow steps.
Response
201 — Event notification sent successfully
400 — Bad Request - Invalid event ID
errorstringrequired
Error message
401 — Unauthorized
errorstringrequired
Error message
429 — Rate Limit Exceeded
errorstringrequired
Error message
500 — Internal Server Error
errorstringrequired
Error message